Package com.smartgwt.client.util.workflow

# Class SetTitleTask

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.util.workflow.ProcessElement
com.smartgwt.client.util.workflow.Task
com.smartgwt.client.util.workflow.ComponentTask
com.smartgwt.client.util.workflow.SetTitleTask

All Implemented Interfaces:
  `HasHandlers`

public class SetTitleTask extends ComponentTask
Sets the title of a tab, section, window, label, button, form control or facet chart.

For a label, button, window, or chart the `componentId` specifies everything necessary to identify the target.

For a tab, section or form control more information is needed. The `componentId` identifies the container (i.e. TabSet, SectionStack or DynamicForm) and the individual component is specified as:

- Tab - `targetTabName` references the `Tab.name`.
- Section - `targetSectionName` for `SectionStackSection.name` or `targetSectionTitle` for `SectionStackSection.title`.
- FormItem - `targetFieldName` for `FormItem.name`.

See Also:
  - `TabSet.setTabTitle(int, java.lang.String)`
  - `SectionStack.setSectionTitle(java.lang.String, java.lang.String)`
  - `Window.setTitle(java.lang.String)`
  - `FacetChart.getTitle()`
  - `Label.setContents(java.lang.String)`
  - `Button.setTitle(java.lang.String)`
  - `FormItem.getTitle()`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetTitleTask()`
  `SetTitleTask(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JavaScriptObject`
  `create()`
  `static SetTitleTask`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getTargetFieldName()`
  If `componentId` targets a DynamicForm, this property specifies the name of the target field to assign new title.
  `String`
  `getTargetSectionName()`
  If `componentId` targets a SectionStack, this property specifies the name of the target section.
  `String`
  `getTargetSectionTitle()`
  If `componentId` targets a SectionStack, this property specifies the title of the target section.
  `String`
  `getTargetTabName()`
  If `componentId` targets a TabSet, this property specifies the name or ID of the target tab to assign new title.
  `UserSummary`
  `getTextFormula()`
  Formula to be used to calculate the component title.
  `String`
  `getTitle()`
  Title to assign to component.
  `SetTitleTask`
  `setTargetFieldName(String targetFieldName)`
  If `componentId` targets a DynamicForm, this property specifies the name of the target field to assign new title.
  `SetTitleTask`
  `setTargetSectionName(String targetSectionName)`
  If `componentId` targets a SectionStack, this property specifies the name of the target section.
  `SetTitleTask`
  `setTargetSectionTitle(String targetSectionTitle)`
  If `componentId` targets a SectionStack, this property specifies the title of the target section.
  `SetTitleTask`
  `setTargetTabName(String targetTabName)`
  If `componentId` targets a TabSet, this property specifies the name or ID of the target tab to assign new title.
  `SetTitleTask`
  `setTextFormula(UserSummary textFormula)`
  Formula to be used to calculate the component title.
  `SetTitleTask`
  `setTitle(String title)`
  Title to assign to component.

  ### Methods inherited from class com.smartgwt.client.util.workflow.ComponentTask

  `getComponentBaseClass, getComponentBaseClassAsStringArray, getComponentId, getComponentRequiresDataSource, getTargetBaseClass, getTargetBaseClassAsStringArray, getTargetComponent, getTargetComponent, getUnsupportedComponentMessage, setComponentBaseClass, setComponentBaseClass, setComponentId, setComponentRequiresDataSource, setTargetBaseClass, setTargetBaseClass, setUnsupportedComponentMessage`

  ### Methods inherited from class com.smartgwt.client.util.workflow.Task

  `getExpressionValue, getInputFieldList, getInputRecord, getInputs, getInputsAsString, getInputsAsStringArray, getOutputExpression, getOutputField, getOutputFieldList, getState, getStrictPaths, setInputFieldList, setInputs, setInputs, setInputs, setOutput, setOutputExpression, setOutputField, setOutputFieldList, setState, setStrictPaths`

  ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

  `completeElement, convertToJavaScriptArray, executeElement, getBindOutput, getClassDescription, getComponentReferences, getCurrentProcess, getDescription, getDynamicValue, getEditorType, getElementDescription, getForceSingle, getID, getInstanceDescription, getInstanceTitle, getInvalidTaskMessage, getJsObj, getMockMode, getNextElement, getOrCreateJsObj, getPassThruOutput, getProcessElements, getSupportsMultipleInputRecords, getTextFormulaValue, getTypeTitle, getUndefinedComponentMessage, getUnresolvedComponentMessage, getWaitDuration, getWaitFor, getWaitLocator, isCreated, isValid, objectReferencesLastTaskOutput, onInit, reset, setAttribute, setBindOutput, setClassDescription, setCurrentProcess, setDescription, setEditorType, setForceSingle, setID, setJavaScriptObject, setMockMode, setNextElement, setPassThruOutput, setSupportsMultipleInputRecords, setTypeTitle, setUndefinedComponentMessage, setUnresolvedComponentMessage, setWaitDuration, setWaitFor, setWaitLocator, updateGlobalIDInCriteria, updateGlobalIDInTextFormula, updateGlobalIDInValueProperty, updateGlobalIDInValues, updateGlobalIDReferences, updateLastElementBindingReferences, updateLastElementInCriteria, updateLastElementInValueProperty, updateLastElementInValues`

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SetTitleTask

    public SetTitleTask()

  - ### SetTitleTask

    public SetTitleTask(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static SetTitleTask getOrCreateRef(JavaScriptObject jsObj)

  - ### create

    public JavaScriptObject create()
    Overrides:
      `create` in class `ComponentTask`

  - ### setTargetFieldName

    public SetTitleTask setTargetFieldName(String targetFieldName) throws IllegalStateException
    If `componentId` targets a DynamicForm, this property specifies the name of the target field to assign new title.
    Parameters:
      `targetFieldName` - New targetFieldName value. Default value is null
    Returns:
      `SetTitleTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created
    See Also:
      - `FieldName`

  - ### getTargetFieldName

    public String getTargetFieldName()
    If `componentId` targets a DynamicForm, this property specifies the name of the target field to assign new title.
    Returns:
      Current targetFieldName value. Default value is null
    See Also:
      - `FieldName`

  - ### setTargetSectionName

    public SetTitleTask setTargetSectionName(String targetSectionName) throws IllegalStateException
    If `componentId` targets a SectionStack, this property specifies the name of the target section. Alternately, the target section can be specified by using `targetSectionTitle`.
    Parameters:
      `targetSectionName` - New targetSectionName value. Default value is null
    Returns:
      `SetTitleTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getTargetSectionName

    public String getTargetSectionName()
    If `componentId` targets a SectionStack, this property specifies the name of the target section. Alternately, the target section can be specified by using `targetSectionTitle`.
    Returns:
      Current targetSectionName value. Default value is null

  - ### setTargetSectionTitle

    public SetTitleTask setTargetSectionTitle(String targetSectionTitle) throws IllegalStateException
    If `componentId` targets a SectionStack, this property specifies the title of the target section. Alternately, the target section can be specified by using `targetSectionName`.
    Parameters:
      `targetSectionTitle` - New targetSectionTitle value. Default value is null
    Returns:
      `SetTitleTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getTargetSectionTitle

    public String getTargetSectionTitle()
    If `componentId` targets a SectionStack, this property specifies the title of the target section. Alternately, the target section can be specified by using `targetSectionName`.
    Returns:
      Current targetSectionTitle value. Default value is null

  - ### setTargetTabName

    public SetTitleTask setTargetTabName(String targetTabName) throws IllegalStateException
    If `componentId` targets a TabSet, this property specifies the name or ID of the target tab to assign new title.
    Parameters:
      `targetTabName` - New targetTabName value. Default value is null
    Returns:
      `SetTitleTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created
    See Also:
      - `TabName`

  - ### getTargetTabName

    public String getTargetTabName()
    If `componentId` targets a TabSet, this property specifies the name or ID of the target tab to assign new title.
    Returns:
      Current targetTabName value. Default value is null
    See Also:
      - `TabName`

  - ### setTextFormula

    public SetTitleTask setTextFormula(UserSummary textFormula) throws IllegalStateException
    Formula to be used to calculate the component title. Use `title` property to assign a static title instead.

    Available fields for use in the formula are the current `rule context`.

    Parameters:
      `textFormula` - New textFormula value. Default value is null
    Returns:
      `SetTitleTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getTextFormula

    public UserSummary getTextFormula()
    Formula to be used to calculate the component title. Use `title` property to assign a static title instead.

    Available fields for use in the formula are the current `rule context`.

    Returns:
      Current textFormula value. Default value is null

  - ### setTitle

    public SetTitleTask setTitle(String title) throws IllegalStateException
    Title to assign to component. To assign a dynamic value see `textFormula`.
    Parameters:
      `title` - New title value. Default value is null
    Returns:
      `SetTitleTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created
    See Also:
      - `HTMLString`

  - ### getTitle

    public String getTitle()
    Title to assign to component. To assign a dynamic value see `textFormula`.
    Returns:
      Current title value. Default value is null
    See Also:
      - `HTMLString`